# tkvrecord.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvrecord
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Record Greeting"
wm iconname $w "tkVoice Record Greeting"
positionWindow $w

#################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicerecord}
image create photo tkvoicerecord -file [file join $tkvoicedir/image/tkvoicerecord.gif]
label $w.gif.tkvoicerecord -image tkvoicerecord -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicerecord -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

###########################################################

label $w.msg -font $font -wraplength 5i -justify left -text "\nWhen you press the Record button speak your greeting into the microphone.If you are using \"krecord\" or some other 3rd party application to record the WAV file be sure to save the recording to:\n$voicedir$voiceout/$greeting.wav\n\nYou can listen to your \"$greeting.wav\" file by pressing the Listen button.\n\nOnce you are happy with the \"$greeting.wav\" file press the convert button to create the \"$MODEMTYPE Compression Method $MODEMCOMP\" RMD file and save it to:\n\"$voicedir$voiceout/$greeting\""
pack $w.msg -side top

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

frame $w.left
frame $w.right
catch {image delete rec}
image create photo rec -file [file join $tkvoicedir/image/record.gif]
button $w.right.rec -image rec -anchor center -command "record_g"
label $w.left.rec -font {helvetica 18 bold} -justify left -text "RECORD WAV FILE:"
catch {image delete listen}
image create photo listen -file [file join $tkvoicedir/image/listen.gif]
button $w.right.listen -image listen -anchor center -command "listen_g"
label $w.left.listen -font {helvetica 18 bold} -justify left -text "LISTEN TO WAV FILE:"
catch {image delete convert}
image create photo convert -file [file join $tkvoicedir/image/convert.gif]
button $w.right.convert -image convert -anchor center -command "convert_g"
label $w.left.convert -font {helvetica 18 bold} -justify left -text "CONVERT WAV to RMD:"
button $w.right.play -image play -anchor center -command "play_g"
label $w.left.play -font {helvetica 18 bold} -justify left -text "LISTEN TO RMD FILE:"
pack $w.left  -side left -expand yes  -pady .25c -padx .25c
pack $w.right -side left -expand yes  -pady .25c -padx .25c
pack $w.left.rec $w.left.listen $w.left.convert $w.left.play -side top -pady 3 -anchor w
pack $w.right.rec $w.right.listen $w.right.convert $w.right.play -side top -pady 2 -anchor w
